Get IntegrationRun for the UUID - m3ter Documentation
Get IntegrationRun for the UUID
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/integrationruns/{id} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/integrationruns/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/integrationruns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/integrationruns/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.m3ter.com/organizations/{orgId}/integrationruns/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://api.m3ter.com/organizations/{orgId}/integrationruns/{id}")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.m3ter.com/organizations/{orgId}/integrationruns/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Responses
200
{
"id": "<string>",
"entityType": "<string>",
"entityId": "<string>",
"status": "<unknown>",
"destination": "<string>",
"version": 123,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"dtStarted": "2023-11-07T05:31:56Z",
"dtCompleted": "2023-11-07T05:31:56Z",
"destinationId": "<string>",
"error": "<string>",
"url": "<string>",
"externalId": "<string>",
"parentIntegrationRunId": "<string>",
"replayedFromIntegrationRunId": "<string>"
}
4XX and 5XX
{
"message": "<string>"
}
Path Parameters
- orgId: required UUID of the organization
- id: required The UUID of the entity.
Response
- id (string): required The UUID of the entity.
- entityType (string): required The type of entity the integration run is for. Options: Bill, Notification.
- entityId (string): required The unique identifier (UUID) of the entity the integration run is for.
- status (any): required
- destination (string): required The destination system for the integration run.
- version (integer): The version number.
- dtCreated (string): The DateTime when this item was created.
- dtLastModified (string): The DateTime when this item was last modified.
- createdBy (string): The ID of the user who created this item.
- lastModifiedBy (string): The ID of the user who last modified this item.
- dtStarted (string): The date and time the integration run was started.
- dtCompleted (string): The date and time the integration was completed.
- destinationId (string): Identifier of the destination.
- error (string): Describes any errors encountered during the integration run.
- url (string): The URL of the entity in the destination system if available.
- externalId (string): The external ID in the destination system if available.
- parentIntegrationRunId (string): ID of the parent integration run, or null if this is a parent integration run.
- replayedFromIntegrationRunId (string): ID of the integration run this was replayed from, or null if this is not a replay.